/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.fidufosyga.rules;

/**
 *
 * @author octavode
 */
public class SecuenciaValidacionAplicaNovedadDependienteOtro extends AbstractRule{
    public SecuenciaValidacionAplicaNovedadDependienteOtro() {
    }
    
    public boolean performValidation(String field, String registro[],
			String nombreArchivo) {
        String codigoNovedad = registro[new Integer((String) getParams()[0])
				.intValue()];
        String codigoTipousuario = registro[new Integer((String) getParams()[2]).intValue()];
        
		if (codigoNovedad.equals((String) getParams()[1]) && codigoTipousuario.equals((String) getParams()[3])) {

			try {
				String novedadSecuencia = (String) getParams()[4];
				int posNum = Integer.parseInt(novedadSecuencia);
				for (int pos = posNum; pos < registro.length; pos++) {
					if (registro[pos].length() > 0)
						return true;
				}

			} catch (Exception e) {

			}

		}
		return false;
    }
}